Foreman - Bug #3475

When Foreman URL (/users/login) is used as ErrorDocument target, status is not preserved
10/23/2013 06:50 AM - Jan Pazdziora

Status: Closed
Assignee: Jan Pazdziora
Target version: 1.4.2
Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/2401
Description

In the document http:/projects.theforeman.org/projects/foreman/wiki/Foreman_and_mod_auth_kerb, configuration is shown which
allows to configure mod_auth_kerb for Negotiate authentication for issue http:/projects.theforeman.org/issues/3312.

However, the fallback configuration that | found working is a little bit cumbersome:

ErrorDocument 401 '<html><meta http-equiv="refresh" content="0; URL=/users/login"><body>Kerberos a
uthentication did not pass.</body></html>"

It would be much better if we could use

ErrorDocument 401 /users/login

However, when the /users/login is served by Foreman's passenger, it does not preserve the 401 status, returning 200 instead. As a
result, the Negotiation does not happen at all (and situation is the same when Basic authentication is configured). So that setup

cannot be used.

Foreman shouldn't specify status (and force 200) if there already is one set in the response.

Related issues:
Related to Foreman - Bug #10586: When /users/login is used as ErrorDocument f... Closed 05/22/2015

Associated revisions

Revision 5eb2fa6e - 03/11/2014 08:55 AM - Jan Pazdziora

fixes #3475 - make it possible to force the 401 status.

Revision 38f7e124 - 03/12/2014 10:42 AM - Jan Pazdziora

fixes #3475 - make it possible to force the 401 status.

(cherry picked from commit 5eb2fa6ec0997b31b95d413c64c6bc3b2cfe552¢)

History

#1 - 02/26/2014 10:05 AM - Jan Pazdziora

Filed pull request https:/github.com/theforeman/foreman/pull/1253

#2 - 02/26/2014 10:13 AM - Dominic Cleal

- Category set to Authentication

- Status changed from New to Ready For Testing
- Assignee set to Jan Pazdziora

- Target version set to 1.9.1

#3 - 03/03/2014 12:47 PM - Anonymous
http://projects.theforeman.org/issues/3312
https://github.com/theforeman/foreman/pull/1253

- Target version changed from 1.9.1 to 1.9.0

#4 - 03/07/2014 05:11 PM - Dominic Cleal

- translation missing: en.field_release set to 7

#5 - 03/11/2014 10:31 AM - Jan Pazdziora
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 5eb2fabec0997b31b95d413c64c6bc3b2cfe552e.

#6 - 05/22/2015 03:54 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/2401 added

#7 - 05/22/2015 03:56 AM - Dominic Cleal
- Related to Bug #10586: When /users/login is used as ErrorDocument for 401 with status=401, it does not provide that status added
